#include <iostream>

using namespace std;


struct SCard
{
	int rank;
	int color;
};

struct SHand
{
	SCard cards[2];
	int strong;
	SCard combination[5];
};

bool detectedCards(SCard res, char rank, char color) {
	switch( rank ) {

		case '2': res.rank = 2; break;
		case '3': res.rank = 3; break;
		case '4': res.rank = 4; break;
		case '5': res.rank = 5; break;
		case '6': res.rank = 6; break;
		case '7': res.rank = 7; break;
		case '8': res.rank = 8; break;
		case '9': res.rank = 9; break;
		case 'X': res.rank = 10; break;
		case 'J': res.rank = 11; break;
		case 'Q': res.rank = 12; break;
		case 'K': res.rank = 13; break;
		case 'A': res.rank = 14; break;

		default: return false;
	}

	switch( color ) {

		case 'c': res.color = 1; break;
		case 'd': res.color = 2; break;
		case 'h': res.color = 3; break;
		case 's': res.color = 4; break;

		default: return false;

	} 
	return true;
}


int main ( int argc, char * argv [] ) 
{
	int players;
	cin >> players;
	char tablecards1[2];
	cin >> tablecards1;	
	char tablecards2[2];
	cin >> tablecards2;
	char tablecards3[2];
	cin >> tablecards3;
	char tablecards4[2];
	cin >> tablecards4;
	char tablecards5[2];
	cin >> tablecards5;

	SCard table[5];

	if(! detectedCards( table[0], tablecards1[0], tablecards1[1] ) ) {cout << "pzfc!" << endl; return 0;}
	if(! detectedCards( table[1], tablecards2[0], tablecards2[1] ) ) {cout << "pzfc!" << endl; return 0;}
	if(! detectedCards( table[2], tablecards3[0], tablecards3[1] ) ) {cout << "pzfc!" << endl; return 0;}
	if(! detectedCards( table[3], tablecards4[0], tablecards4[1] ) ) {cout << "pzfc!" << endl; return 0;}
	if(! detectedCards( table[4], tablecards5[0], tablecards5[1] ) ) {cout << "pzfc!" << endl; return 0;}
	
	cout << "TABLE:" ;
	for ( int i = 0; i < 5; i++) 
		cout << " " << table[i].rank << table[i].color;
	cout << endl;

}
